package a.i.b.a.c.e;

import a.i.b.a.c.g.j.a;
import a.i.b.a.c.g.j.b;
import com.tencent.matrix.trace.core.AppMethodBeat;

public enum a$i$c implements a {
    AT_MOST_ONCE(0),
    EXACTLY_ONCE(1),
    AT_LEAST_ONCE(2);
    
    private static b<a$i$c> Btk;
    final int value;

    static {
        Btk = new 1();
        AppMethodBeat.o(120568);
    }

    public final int edd() {
        return this.value;
    }

    public static a$i$c Te(int i) {
        switch (i) {
            case 0:
                return AT_MOST_ONCE;
            case 1:
                return EXACTLY_ONCE;
            case 2:
                return AT_LEAST_ONCE;
            default:
                return null;
        }
    }

    private a$i$c(int i) {
        this.value = i;
    }
}
